package cn.iocoder.boot.module.order.api.dto;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/**
 * 订单收货人信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderConsigneeApiDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 下单用户id
     */
    private Long relationId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 收货人姓名
     */
    private String name;
    /**
     * 收货人姓名(英文)
     */
    private String nameEn;
    /**
     * 手机
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 公司
     */
    private String company;
    /**
     * 公司(英文)
     */
    private String companyEn;

    @ApiModelProperty(value = "收获方式：1 自提 2 送货上门 ")
    private Integer harvestMethod;

    @ApiModelProperty(value = "送货时间", required = true)
    private String deliveryDate;
    /**
     * 地址
     */
    private String address;

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "省")
    private Long province;

    @ApiModelProperty(value = "市")
    private Long city;
    /**
     * 国家简称
     */
    private String countryAbbreviation;
    /**
     * 国家区号
     */
    private String countryCode;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户联系人id
     */
    private Long customerContactsId;

    public void setCountryCode(String countryCode) {
        if (StringUtils.isNotBlank(countryCode)) {
            this.countryCode = countryCode.replace("+", "");
        }else {
            this.countryCode = countryCode;
        }
    }
}
