package cn.iocoder.boot.module.order.api.dto;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 订单目的仓库
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderObjectiveApiDO extends BaseDO {

    /**
     * 主键ID
     */
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 目的地id
     */
    private Long objectiveId;

    @ApiModelProperty(value = "目的国家id")
    private Long objectiveCountryId;

    @ApiModelProperty(value = "目的仓库id")
    private Long objectiveWarehouseId;
    /**
     * 目的地详情
     */
    private String objective;
    /**
     * 0调仓标志;1原始数据，实际的目的地仓库
     */
    private Integer type;
    /**
     * 货到没到这个仓库：0未到；1已到
     */
    private Boolean isThis;

}
