package cn.iocoder.boot.module.order.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
* 订单操作日志 DTO
*/
@Data
public class OrderOperateLogDTO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty(value = "变更后订单详情数据")
    private String body;

    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ApiModelProperty(value = "变更类型")
    private String type;

    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ApiModelProperty(value = "备注说明")
    private String note;

    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

}
